Freeciv-3.1: advance Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
advance Struct Reference

`#include <tech.h>`

## Data Fields

Tech_type_id | item_number
struct name_translation | name
void * | ruledit_dlg
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
struct tech_class * | tclass
struct advance * | require [AR_SIZE]
bool | inherited_root_req
struct requirement_vector | research_reqs
bv_tech_flags | flags
struct strvec * | helptext
char * | bonus_message
double | cost
int | num_reqs

## Detailed Description

Definition at line 124 of file tech.h.

## Field Documentation

## ◆ bonus_message

char* advance::bonus_message

Definition at line 145 of file tech.h.

Referenced by tech_free().

## ◆ cost

double advance::cost

Definition at line 150 of file tech.h.

Referenced by handle_ruleset_tech(), edit_tech::refresh(), research_total_bulbs_required(), edit_tech::set_cost_value(), and techs_init().

## ◆ flags

bv_tech_flags advance::flags

Definition at line 139 of file tech.h.

Referenced by advance_has_flag(), edit_tech::closeEvent(), edit_tech::edit_tech(), handle_ruleset_tech(), and tab_tech::initialize_new_tech().

## ◆ graphic_alt

char advance::graphic_alt[MAX_LEN_NAME]

Definition at line 129 of file tech.h.

Referenced by edit_tech::gfx_tag_alt_given(), handle_ruleset_tech(), edit_tech::refresh(), and tileset_setup_tech_type().

## ◆ graphic_str

char advance::graphic_str[MAX_LEN_NAME]

Definition at line 128 of file tech.h.

Referenced by edit_tech::gfx_tag_given(), handle_ruleset_tech(), edit_tech::refresh(), and tileset_setup_tech_type().

## ◆ helptext

struct strvec* advance::helptext

Definition at line 140 of file tech.h.

Referenced by handle_ruleset_tech(), edit_tech::helptext(), helptext_advance(), and tech_free().

## ◆ inherited_root_req

bool advance::inherited_root_req

Definition at line 133 of file tech.h.

Referenced by save_techs_ruleset(), and techs_init().

## ◆ item_number

Tech_type_id advance::item_number

Definition at line 125 of file tech.h.

Referenced by advance_number(), api_edit_perform_action_unit_vs_city_tech(), techs_init(), and valid_advance().

## ◆ name

struct name_translation advance::name

Definition at line 126 of file tech.h.

Referenced by advance_name_translation(), advance_rule_name(), handle_ruleset_tech(), tab_tech::initialize_new_tech(), tab_tech::name_given(), research_advance_name(), techs_init(), and tab_tech::update_tech_info().

## ◆ num_reqs

int advance::num_reqs

Definition at line 156 of file tech.h.

Referenced by handle_ruleset_tech(), research_goal_bulbs_required(), research_goal_unknown_techs(), and techs_precalc_data().

## ◆ require

struct advance* advance::require[AR_SIZE]

Definition at line 132 of file tech.h.

Referenced by advance_required(), advance_requires(), tab_tech::delete_now(), handle_ruleset_tech(), tab_tech::initialize_new_tech(), is_tech_needed(), load_ruleset_techs(), tab_tech::name_given(), tab_tech::req1_jump(), tab_tech::req1_menu(), tab_tech::req2_jump(), tab_tech::req2_menu(), tab_tech::root_req_jump(), tab_tech::root_req_menu(), sanity_check_ruleset_data(), techs_init(), unpack_tech_req(), tab_tech::update_tech_info(), and valid_advance().

## ◆ research_reqs

struct requirement_vector advance::research_reqs

Definition at line 137 of file tech.h.

Referenced by handle_ruleset_tech(), helptext_advance(), research_allowed(), techs_free(), and techs_init().

## ◆ ruledit_dlg

void* advance::ruledit_dlg

Definition at line 127 of file tech.h.

Referenced by edit_tech::closeEvent(), tab_tech::delete_now(), tab_tech::edit_now(), and techs_init().

## ◆ tclass

struct tech_class* advance::tclass

Definition at line 130 of file tech.h.

Referenced by handle_ruleset_tech(), helptext_advance(), and techs_init().